/*
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>

#include "libappstarter/as-utils.h"

int
main (int argc, char *argv[])
{
    pid_t child;
    XfceRc *rc;
    int do_fork = 1;

    rc = as_rc_open (NULL, TRUE);
    if (!rc)
        return 1;

    xfce_rc_set_group(rc, "default");
    const gchar *cmd = xfce_rc_read_entry(rc, "command", "true");
    xfce_rc_close(rc);

    if ((argc > 1) && (strcmp (argv[1], "--nofork") == 0))
        system (cmd);
    else {
        if ((child = fork()) < 0)
            return 1;
        else if (child == 0)
            system(cmd);
        else
            exit(0);
    }

    return 0;
}
